PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# DROP OPERATOR

## Name

DROP OPERATOR -- remove an operator

## Synopsis

    DROP OPERATOR name ( lefttype | NONE , righttype | NONE ) [ CASCADE | RESTRICT ]

## Description

`DROP OPERATOR` drops an existing operator from the database system. To execute this command you must be the owner of the operator.

## Parameters

name

  The name (optionally schema-qualified) of an existing operator.

lefttype

  The data type of the operator's left operand; write NONE if the operator has no left operand.

righttype

  The data type of the operator's right operand; write NONE if the operator has no right operand.

CASCADE

  Automatically drop objects that depend on the operator.

RESTRICT

  Refuse to drop the operator if any objects depend on it. This is the default.

## Examples

Remove the power operator a^b for type `integer`:

    DROP OPERATOR ^ (integer, integer);

Remove the left unary bitwise complement operator ~b for type `bit`:

    DROP OPERATOR ~ (none, bit);

Remove the right unary factorial operator x! for type `integer`:

    DROP OPERATOR ! (integer, none);

## Compatibility

There is no `DROP OPERATOR` statement in the SQL standard.

## See Also

CREATE OPERATOR

Prev | Home | Next
DROP LANGUAGE | Up | DROP OPERATOR CLASS